## shell-xfixes-cursor shell-xfixes-cursor — Capture/manipulate system mouse cursor. |

## Synopsis

                        ShellXFixesCursor;
                        ShellXFixesCursorClass;
    ShellXFixesCursor * shell_xfixes_cursor_get_for_stage   (ClutterStage *stage);
    int                 shell_xfixes_cursor_get_hot_x       (ShellXFixesCursor *xfixes_cursor);
    int                 shell_xfixes_cursor_get_hot_y       (ShellXFixesCursor *xfixes_cursor);
    void                shell_xfixes_cursor_hide            (ShellXFixesCursor *xfixes_cursor);
    void                shell_xfixes_cursor_show            (ShellXFixesCursor *xfixes_cursor);
    void                shell_xfixes_cursor_update_texture_image
                                                            (ShellXFixesCursor *xfixes_cursor,
                                                             ClutterTexture *texture);

## Object Hierarchy

      GObject
       +----ShellXFixesCursor

## Properties

      "stage"                    ClutterStage*         : Read / Write / Construct Only

## Signals

      "cursor-change"                                  : Run Last

## Description

The ShellXFixesCursor object uses the XFixes extension to show/hide the the system mouse pointer, to grab its image as it changes, and emit a notification when its image changes.

## Details

### ShellXFixesCursor

    typedef struct _ShellXFixesCursor ShellXFixesCursor;

### ShellXFixesCursorClass

    typedef struct _ShellXFixesCursorClass ShellXFixesCursorClass;

### shell_xfixes_cursor_get_for_stage ()

    ShellXFixesCursor * shell_xfixes_cursor_get_for_stage   (ClutterStage *stage);

`stage` : | The ClutterStage to get the cursor for. [transfer none]
Returns : | A ShellXFixesCursor instance. [transfer none]

### shell_xfixes_cursor_get_hot_x ()

    int                 shell_xfixes_cursor_get_hot_x       (ShellXFixesCursor *xfixes_cursor);

`xfixes_cursor` : | the ShellXFixesCursor
Returns : | the current mouse cursor's hot x-coordinate.

### shell_xfixes_cursor_get_hot_y ()

    int                 shell_xfixes_cursor_get_hot_y       (ShellXFixesCursor *xfixes_cursor);

`xfixes_cursor` : | the ShellXFixesCursor
Returns : | the current mouse cursor's hot y-coordinate.

### shell_xfixes_cursor_hide ()

    void                shell_xfixes_cursor_hide            (ShellXFixesCursor *xfixes_cursor);

Hide the system mouse cursor.

`xfixes_cursor` : | the ShellXFixesCursor

### shell_xfixes_cursor_show ()

    void                shell_xfixes_cursor_show            (ShellXFixesCursor *xfixes_cursor);

Show the system mouse cursor to show

`xfixes_cursor` : | the ShellXFixesCursor

### shell_xfixes_cursor_update_texture_image ()

    void                shell_xfixes_cursor_update_texture_image
                                                            (ShellXFixesCursor *xfixes_cursor,
                                                             ClutterTexture *texture);

`xfixes_cursor` : | the ShellXFixesCursor
`texture` : | ClutterTexture to update with the current sprite image.

## Property Details

### The `"stage"` property

      "stage"                    ClutterStage*         : Read / Write / Construct Only

Stage for mouse cursor.

## Signal Details

### The `"cursor-change"` signal

    void                user_function                      (ShellXFixesCursor *shellxfixescursor,
                                                            gpointer           user_data)              : Run Last